Subject: Re: [Idr] Regarding Color Extended Communities Reserved bits (draft-ietf-idr-tunnel-encaps)

From: Alvaro Retana <[email-masked]>
Date: Tue, 18 Feb 2020 14:37:13 -0800

On November 14, 2019 at 3:28:51 AM, Ketan Talaulikar wrote:

Ketan:

Hi!

I'm in the process of reviewing draft-ietf-idr-tunnel-encaps, so I ran
into this message.

> The Color Extended Communities is specified in
> https://tools.ietf.org/html/draft-ietf-idr-tunnel-encaps-14#section-4.3 and
> in it we have a RESERVED field. Now two bits in this field are specified by
> https://tools.ietf.org/html/draft-ietf-idr-segment-routing-te-policy-07#section-
> 3. However, we don't have an IANA registry for this field/bits and neither is
> one requested by either of these drafts.
>
> I am wondering in which draft we should make the IANA request for this field
> and if done in the BGP SRTE draft, would it end up updating the Tunnel Encaps
> draft?
>
> Any suggestion on how to proceed with this? With so many other drafts
> leveraging tunnel encaps, my concern is that we should not end up with a
> collision.

I would prefer it if this registry was defined in
draft-ietf-idr-tunnel-encaps.  I'll add a note in my review about it.

Thanks!!

Alvaro.